# Poco::Net

# class HTTPResponseStream

Library: Net
Package: HTTP
Header: Poco/Net/HTTPIOStream.h

## Inheritance

Direct Base Classes: HTTPResponseIOS, std::istream

All Base Classes: HTTPResponseIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### HTTPResponseStream

HTTPResponseStream(
std::istream & istr,
HTTPClientSession * pSession
);

## Destructor

### ~HTTPResponseStream

~HTTPResponseStream();